Cyberduck Mountain Duck CLI

#9323 closed defect (fixed)

Crash on opening on OS X 10.7

Reported by: Biska Owned by:
Priority: normal Milestone: 4.8.4
Component: core Version: 4.8
Severity: critical Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.7

Description (last modified by dkocher)

Cyberduck wont open on osx 10.7.5. Java 8 update 73. The icon popup but no gui is shown

Console shows:

29/02/16 23:21:09,748 [0x0-0x50050].ch.sudo.cyberduck: log4j:WARN No appenders could be found for logger (ch.cyberduck.core.threading.LoggingUncaughtExceptionHandler).
29/02/16 23:21:09,748 [0x0-0x50050].ch.sudo.cyberduck: log4j:WARN Please initialize the log4j system properly.
29/02/16 23:21:09,748 [0x0-0x50050].ch.sudo.cyberduck: log4j:WARN See http://logging.apache.org/log4j/1.2/faq.html#noconfig for more info.

Change History (16)

comment:1 follow-up: Changed on Mar 1, 2016 at 10:22:06 AM by dkocher

  • Description modified (diff)
  • Milestone set to 4.8.2

Please update to version 4.8.2 from https://cyberduck.io.

comment:2 Changed on Mar 1, 2016 at 10:22:53 AM by dkocher

  • Milestone changed from 4.8.2 to 4.8.1
  • Resolution set to fixed
  • Status changed from new to closed

In r19453.

comment:3 in reply to: ↑ 1 Changed on Mar 1, 2016 at 10:26:45 AM by Biska

Replying to dkocher:

Please update to version 4.8.2 from https://cyberduck.io.

Thank you, but I'm already using version 4.8.2.19063 and the problem still exists.

comment:4 Changed on Mar 1, 2016 at 10:45:33 AM by dkocher

  • Resolution fixed deleted
  • Status changed from closed to reopened

Can you please attach the crash report.

comment:5 Changed on Mar 1, 2016 at 10:53:53 AM by Biska

When Cyberduck crash it just closes, Apple Crash Reporter don't shows up at all. Can I provide any other log?

comment:6 Changed on Mar 1, 2016 at 10:57:10 AM by dkocher

Can you open a Terminal.app window and launch Cyberduck from there with

/Applications/Cyberduck.app/Contents/MacOS/Cyberduck

and provide the output.

comment:7 follow-up: Changed on Mar 1, 2016 at 11:08:00 AM by Biska

The output is the same that shows in console app (as in the ticket description)

comment:8 in reply to: ↑ 7 Changed on Mar 1, 2016 at 11:13:59 AM by dkocher

Replying to Biska:

The output is the same that shows in console app (as in the ticket description)

What is the output of

echo $?

after Cyberduck exits?

comment:9 Changed on Mar 1, 2016 at 11:19:39 AM by Biska

just:

1

comment:10 Changed on Mar 4, 2016 at 2:07:00 PM by dkocher

  • Milestone changed from 4.8.1 to 5.0
  • Summary changed from Cyberduck crash on opening to Cyberduck crash on opening on OS X 10.7

We have identified the issue and will provide a fix as soon as possible.

comment:11 Changed on Mar 4, 2016 at 2:07:56 PM by dkocher

  • Summary changed from Cyberduck crash on opening on OS X 10.7 to Crash on opening on OS X 10.7

comment:12 Changed on Mar 4, 2016 at 2:08:15 PM by dkocher

otool -l osx/target/Cyberduck.app/Contents/Frameworks/*.dylib|grep -A 3 "LC_VERSION_MIN_MACOSX"
      cmd LC_VERSION_MIN_MACOSX
  cmdsize 16
  version 10.7
      sdk 10.11
--
      cmd LC_VERSION_MIN_MACOSX
  cmdsize 16
  version 10.4
      sdk 10.9
--
      cmd LC_VERSION_MIN_MACOSX
  cmdsize 16
  version 10.11
      sdk 10.11

comment:13 Changed on Mar 4, 2016 at 2:50:25 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

In r19521.

comment:14 Changed on Mar 10, 2016 at 9:01:37 PM by dkocher

  • Milestone changed from 5.0 to 4.8.4

comment:15 Changed on Mar 10, 2016 at 9:02:04 PM by dkocher

Please update to the latest snapshot build available.

comment:16 Changed on Mar 20, 2016 at 10:43:09 PM by Biska

Now it's fine, thank you very much!

Note: See TracTickets for help on using tickets.
swiss made software